PP-Module for VPN Client Version 2.1

Profile details

Status active
Valid from 05.10.2017
Valid until N/A
Scheme πŸ‡ΊπŸ‡Έ US
Category Network and Network-Related Devices and Systems
Security level EAL1

Certification report

Extracted keywords

Symmetric Algorithms
DES
Protocols
IKE, IPsec, VPN

Vendor
Samsung

Claims
T.UNAUTHORIZED_ACCESS, T.TSF_CONFIGURATION, T.USER_DATA_REUSE, T.TSF_FAILURE, A.NO_TOE_BYPASS, A.TRUSTED_CONFIG, OE.NO_TOE_BYPASS, OE.PHYSICAL, OE.TRUSTED_CONFIG
Security Assurance Requirements (SAR)
ACE_REQ, ACE_INT.1, ACE_CCL.1, ACE_SPD.1, ACE_OBJ.1, ACE_ECD.1, ACE_REQ.1, ACE_MCO.1, ACE_CCO.1, ADV_FSP.1, AGD_OPE, AGD_PRE, ALC_CMC, ALC_CMS, ALC_TSU_EXT, ATE_IND, AVA_VAN, ASE_CCL, ASE_ECD, ASE_INT, ASE_OBJ, ASE_REQ, ASE_SPD, ASE_TSS
Security Functional Requirements (SFR)
FAU_GEN, FAU_GEN.1, FAU_SEL.1, FCS_CKM, FCS_CKM_EXT.2, FCS_CKM_EXT.4, FDP_RIP.2, FDP_IFC_EXT.1, FIA_PSK_EXT.1, FMT_STM, FMT_SMF, FPT_TST_EXT.1, FTP_ITC.1
Evaluation facilities
Gossamer Security

Standards
X.509

Protection profile

Extracted keywords

Symmetric Algorithms
AES, DES, HMAC
Asymmetric Algorithms
ECDH, ECDSA, ECC, DH, Diffie-Hellman
Hash functions
SHA-1, SHA-256, SHA-512
Schemes
Key Exchange
Protocols
SSH, TLS, DTLS, IKE, IKEv2, IKEv1, IPsec, VPN
Randomness
RBG
Elliptic Curves
P-256, P-384, P-521, curve P-384, Curve25519
Block cipher modes
GCM

Claims
O.PROTECTED_STORAGE, O.PROTECTED_COMMS, O.COMMS, O.STORAGE, O.CONFIG, T.UNAUTHORIZED_ACCESS, T.TSF_CONFIGURATION, T.UNAUTHORIZED_UPDATE, T.USER_DATA_REUSE, T.TSF_FAILURE, T.NETWORK_ATTACK, T.NETWORK_EAVESDROP, T.LOCAL_ATTACK, T.NETWORK, T.EAVESDROP, T.FLAWAPP, A.NO_TOE_BYPASS, A.PHYSICAL, A.TRUSTED_CONFIG, OE.NO_TOE_BYPASS, OE.PHYSICAL, OE.TRUSTED_CONFIG, OE.PLATFORM, OE.PROPER_USER, OE.PROPER_ADMIN, OE.PRECAUTION, OE.CONFIG
Security Assurance Requirements (SAR)
AGD_PRE, AGD_OPE, ASE_CCL
Security Functional Requirements (SFR)
FAU_GEN.1, FAU_SEL.1, FAU_GEN.1.1, FAU_GEN.1.2, FAU_SEL.1.1, FAU_GEN, FCS_CKM_EXT.3, FCS_COP.1, FCS_RBG_EXT.1, FCS_CKM.1, FCS_CKM.1.1, FCS_CKM.2, FCS_CKM.2.1, FCS_COP.1.1, FCS_CKM, FCS_CKM_EXT.2, FCS_CKM_EXT.2.1, FCS_CKM_EXT.4, FCS_STG_EXT.2, FCS_CKM_EXT.1, FCS_CKM_EXT.1.1, FCS_STO_EXT.1, FCS_CKM_EXT.4.1, FCS_COP, FCS_KDF_EXT, FCS_KYC_EXT, FCS_PCC_EXT, FCS_RBG_EXT, FCS_SMC_EXT, FCS_SNI_EXT, FCS_SSHC_EXT, FCS_SSHS_EXT, FCS_TLSC_EXT, FCS_TLSS_EXT, FCS_VAL_EXT, FCS_CKM_EXT, FDP_DAR_EXT.2.2, FDP_RIP.2, FDP_RIP.2.1, FDP_IFC_EXT.1, FDP_IFC_EXT.1.1, FDP_IFC_EXT, FIA_PSK_EXT.1, FIA_PSK_EXT.1.1, FIA_PSK_EXT.1.2, FIA_PSK_EXT.1.3, FIA_CHR_EXT, FIA_PIN_EXT, FIA_REC_EXT, FIA_PSK_EXT, FMT_SMF, FMT_SMF.1, FPT_TUD_EXT.2, FPT_TUD_EXT.1, FPT_TST_EXT.1, FPT_TST_EXT.1.1, FPT_TST_EXT.1.2, FPT_KYP_EXT, FPT_TST_EXT, FTP_ITC.1, FTP_ITC.1.1, FTP_ITC.1.2, FTP_ITC.1.3, FTP_ITC_EXT.1, FTP_ITC_EXT.1.1, FTP_ITC_EXT.1.2, FTP_ITC_EXT.1.3, FTP_DIT_EXT.1, FTP_DIT_EXT.1.1

Certification process
out of scope, OE.NO_TOE_BYPASS This objective addresses behavior that is out of scope of the base PP and does not define an environment that a GPOS TOE is incapable of existing in, OE.NO_TOE_BYPASS This objective addresses behavior that is out of scope of the base PP and does not define an environment that an MDF TOE is incapable of existing in, OE.NO_TOE_BYPASS This objective addresses behavior that is out of scope of the base PP and does not define an environment that is globally applicable to all software

References

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Processing updates

Feed
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile was first processed.

Raw data

{
  "_id": "f4474c6c73660987",
  "_type": "sec_certs.sample.protection_profile.ProtectionProfile",
  "dgst": "f4474c6c73660987",
  "heuristics": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.Heuristics"
  },
  "pdf_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.PdfData",
    "pp_filename": "mod_vpn_cli_v2.1.pdf",
    "pp_keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 7
          },
          "ECDH": {
            "ECDH": 1
          },
          "ECDSA": {
            "ECDSA": 6
          }
        },
        "FF": {
          "DH": {
            "DH": 20,
            "Diffie-Hellman": 10
          }
        }
      },
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.NO_TOE_BYPASS": 1,
          "A.PHYSICAL": 1,
          "A.TRUSTED_CONFIG": 1
        },
        "O": {
          "O.COMMS": 1,
          "O.CONFIG": 1,
          "O.PROTECTED_COMMS": 2,
          "O.PROTECTED_STORAGE": 2,
          "O.STORAGE": 1
        },
        "OE": {
          "OE.CONFIG": 1,
          "OE.NO_TOE_BYPASS": 4,
          "OE.PHYSICAL": 4,
          "OE.PLATFORM": 2,
          "OE.PRECAUTION": 1,
          "OE.PROPER_ADMIN": 2,
          "OE.PROPER_USER": 2,
          "OE.TRUSTED_CONFIG": 4
        },
        "T": {
          "T.EAVESDROP": 3,
          "T.FLAWAPP": 1,
          "T.LOCAL_ATTACK": 6,
          "T.NETWORK": 3,
          "T.NETWORK_ATTACK": 3,
          "T.NETWORK_EAVESDROP": 4,
          "T.TSF_CONFIGURATION": 4,
          "T.TSF_FAILURE": 4,
          "T.UNAUTHORIZED_ACCESS": 4,
          "T.UNAUTHORIZED_UPDATE": 4,
          "T.USER_DATA_REUSE": 4
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "AGD": {
          "AGD_OPE": 3,
          "AGD_PRE": 1
        },
        "ASE": {
          "ASE_CCL": 1
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FAU": {
          "FAU_GEN": 2,
          "FAU_GEN.1": 6,
          "FAU_GEN.1.1": 1,
          "FAU_GEN.1.2": 1,
          "FAU_SEL.1": 5,
          "FAU_SEL.1.1": 1
        },
        "FCS": {
          "FCS_CKM": 4,
          "FCS_CKM.1": 10,
          "FCS_CKM.1.1": 3,
          "FCS_CKM.2": 6,
          "FCS_CKM.2.1": 3,
          "FCS_CKM_EXT": 1,
          "FCS_CKM_EXT.1": 3,
          "FCS_CKM_EXT.1.1": 1,
          "FCS_CKM_EXT.2": 8,
          "FCS_CKM_EXT.2.1": 3,
          "FCS_CKM_EXT.3": 1,
          "FCS_CKM_EXT.4": 7,
          "FCS_CKM_EXT.4.1": 2,
          "FCS_COP": 1,
          "FCS_COP.1": 15,
          "FCS_COP.1.1": 3,
          "FCS_KDF_EXT": 1,
          "FCS_KYC_EXT": 1,
          "FCS_PCC_EXT": 1,
          "FCS_RBG_EXT": 1,
          "FCS_RBG_EXT.1": 6,
          "FCS_SMC_EXT": 1,
          "FCS_SNI_EXT": 1,
          "FCS_SSHC_EXT": 1,
          "FCS_SSHS_EXT": 1,
          "FCS_STG_EXT.2": 1,
          "FCS_STO_EXT.1": 2,
          "FCS_TLSC_EXT": 1,
          "FCS_TLSS_EXT": 1,
          "FCS_VAL_EXT": 1
        },
        "FDP": {
          "FDP_DAR_EXT.2.2": 1,
          "FDP_IFC_EXT": 1,
          "FDP_IFC_EXT.1": 8,
          "FDP_IFC_EXT.1.1": 2,
          "FDP_RIP.2": 5,
          "FDP_RIP.2.1": 1
        },
        "FIA": {
          "FIA_CHR_EXT": 1,
          "FIA_PIN_EXT": 1,
          "FIA_PSK_EXT": 1,
          "FIA_PSK_EXT.1": 9,
          "FIA_PSK_EXT.1.1": 2,
          "FIA_PSK_EXT.1.2": 2,
          "FIA_PSK_EXT.1.3": 3,
          "FIA_REC_EXT": 1
        },
        "FMT": {
          "FMT_SMF": 6,
          "FMT_SMF.1": 2
        },
        "FPT": {
          "FPT_KYP_EXT": 1,
          "FPT_TST_EXT": 1,
          "FPT_TST_EXT.1": 10,
          "FPT_TST_EXT.1.1": 2,
          "FPT_TST_EXT.1.2": 2,
          "FPT_TUD_EXT.1": 5,
          "FPT_TUD_EXT.2": 1
        },
        "FTP": {
          "FTP_DIT_EXT.1": 2,
          "FTP_DIT_EXT.1.1": 1,
          "FTP_ITC.1": 2,
          "FTP_ITC.1.1": 1,
          "FTP_ITC.1.2": 1,
          "FTP_ITC.1.3": 1,
          "FTP_ITC_EXT.1": 2,
          "FTP_ITC_EXT.1.1": 1,
          "FTP_ITC_EXT.1.2": 1,
          "FTP_ITC_EXT.1.3": 1
        }
      },
      "certification_process": {
        "OutOfScope": {
          "OE.NO_TOE_BYPASS This objective addresses behavior that is out of scope of the base PP and does not define an environment that a GPOS TOE is incapable of existing in": 1,
          "OE.NO_TOE_BYPASS This objective addresses behavior that is out of scope of the base PP and does not define an environment that an MDF TOE is incapable of existing in": 1,
          "OE.NO_TOE_BYPASS This objective addresses behavior that is out of scope of the base PP and does not define an environment that is globally applicable to all software": 1,
          "out of scope": 3
        }
      },
      "cipher_mode": {
        "GCM": {
          "GCM": 3
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 24,
          "IKEv1": 15,
          "IKEv2": 14
        },
        "IPsec": {
          "IPsec": 109
        },
        "SSH": {
          "SSH": 3
        },
        "TLS": {
          "DTLS": {
            "DTLS": 5
          },
          "TLS": {
            "TLS": 8
          }
        },
        "VPN": {
          "VPN": 209
        }
      },
      "crypto_scheme": {
        "KEX": {
          "Key Exchange": 3
        }
      },
      "device_model": {},
      "ecc_curve": {
        "Curve": {
          "Curve25519": 2
        },
        "NIST": {
          "P-256": 14,
          "P-384": 13,
          "P-521": 12,
          "curve P-384": 1
        }
      },
      "eval_facility": {},
      "hash_function": {
        "SHA": {
          "SHA1": {
            "SHA-1": 2
          },
          "SHA2": {
            "SHA-256": 2,
            "SHA-512": 2
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "RNG": {
          "RBG": 3
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "CC": {
          "CCMB-2012-09-001": 1,
          "CCMB-2012-09-002": 1,
          "CCMB-2012-09-003": 1
        },
        "FIPS": {
          "FIPS PUB 186-4": 14,
          "FIPS PUB 197": 3
        },
        "NIST": {
          "NIST SP 800-38A": 3,
          "NIST SP 800-38C": 6,
          "NIST SP 800-38D": 4,
          "NIST SP 800-38E": 2,
          "NIST SP 800-38F": 4,
          "NIST SP 800-56A": 3,
          "NIST SP 800-57": 4
        },
        "RFC": {
          "RFC 2406": 1,
          "RFC 3526": 6,
          "RFC 3602": 2,
          "RFC 4106": 2,
          "RFC 4109": 2,
          "RFC 4301": 4,
          "RFC 4303": 3,
          "RFC 4304": 2,
          "RFC 4868": 4,
          "RFC 4945": 3,
          "RFC 5280": 4,
          "RFC 5282": 2,
          "RFC 6379": 2,
          "RFC 7748": 1
        },
        "X509": {
          "X.509": 10,
          "x.509": 2
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 6
          }
        },
        "DES": {
          "DES": {
            "DES": 2
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 2
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "pp_metadata": {
      "/CreationDate": "D:20171005142116-04\u002700\u0027",
      "/ModDate": "D:20171005142116-04\u002700\u0027",
      "pdf_file_size_bytes": 1142275,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 59
    },
    "report_filename": "mod_vpn_cli_v2.1-vr.pdf",
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.NO_TOE_BYPASS": 1,
          "A.TRUSTED_CONFIG": 1
        },
        "OE": {
          "OE.NO_TOE_BYPASS": 1,
          "OE.PHYSICAL": 1,
          "OE.TRUSTED_CONFIG": 1
        },
        "T": {
          "T.TSF_CONFIGURATION": 1,
          "T.TSF_FAILURE": 1,
          "T.UNAUTHORIZED_ACCESS": 1,
          "T.USER_DATA_REUSE": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ACE": {
          "ACE_CCL.1": 1,
          "ACE_CCO.1": 1,
          "ACE_ECD.1": 1,
          "ACE_INT.1": 1,
          "ACE_MCO.1": 1,
          "ACE_OBJ.1": 1,
          "ACE_REQ": 1,
          "ACE_REQ.1": 1,
          "ACE_SPD.1": 1
        },
        "ADV": {
          "ADV_FSP.1": 1
        },
        "AGD": {
          "AGD_OPE": 1,
          "AGD_PRE": 1
        },
        "ALC": {
          "ALC_CMC": 1,
          "ALC_CMS": 1,
          "ALC_TSU_EXT": 1
        },
        "ASE": {
          "ASE_CCL": 1,
          "ASE_ECD": 1,
          "ASE_INT": 1,
          "ASE_OBJ": 1,
          "ASE_REQ": 1,
          "ASE_SPD": 1,
          "ASE_TSS": 1
        },
        "ATE": {
          "ATE_IND": 1
        },
        "AVA": {
          "AVA_VAN": 1
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FAU": {
          "FAU_GEN": 1,
          "FAU_GEN.1": 1,
          "FAU_SEL.1": 1
        },
        "FCS": {
          "FCS_CKM": 1,
          "FCS_CKM_EXT.2": 1,
          "FCS_CKM_EXT.4": 1
        },
        "FDP": {
          "FDP_IFC_EXT.1": 1,
          "FDP_RIP.2": 1
        },
        "FIA": {
          "FIA_PSK_EXT.1": 1
        },
        "FMT": {
          "FMT_SMF": 1,
          "FMT_STM": 1
        },
        "FPT": {
          "FPT_TST_EXT.1": 1
        },
        "FTP": {
          "FTP_ITC.1": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 1
        },
        "IPsec": {
          "IPsec": 7
        },
        "VPN": {
          "VPN": 18
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Gossamer": {
          "Gossamer Security": 3
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "X509": {
          "X.509": 1
        }
      },
      "symmetric_crypto": {
        "DES": {
          "DES": {
            "DES": 1
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Samsung": {
          "Samsung": 40
        }
      },
      "vulnerability": {}
    },
    "report_metadata": {
      "/Author": "dmhale1",
      "/CreationDate": "D:20190614142856-04\u002700\u0027",
      "/Creator": "PScript5.dll Version 5.2.2",
      "/ModDate": "D:20190614143024-04\u002700\u0027",
      "/Producer": "Acrobat Distiller 11.0 (Windows)",
      "/Title": "mod_vpn_cli_v2.1-vr.pdf",
      "pdf_file_size_bytes": 250515,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 13
    }
  },
  "scheme_metadata": {
    "cc_version": "3.1",
    "pp_short_name": "MOD_VPN_CLI_V2.1",
    "pp_sponsor_id": "NIAP",
    "pp_transition": null,
    "predecessor": "EP_VPN_CLI_V2.0",
    "source_scheme": "US",
    "successor": "MOD_VPNC_V2.2"
  },
  "state": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.InternalState",
    "pp": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "f6971862a70347f77f5f27e54d4a96c78857c4a1a82eb9b050cf1e29a77f8398",
      "source_hash": "ad01aee15c2a642f35050b53f9b0b4aa9bdb01cbdbb6302189b4c2be5c1b4c28",
      "txt_hash": "dada29a53dcec7a07ba360fd019a2eae22ab18498d379bcb1785e625c8220d69"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "c98b4db38613e220a9ff7aead4b0a7fcab24bb5ce9df7f5ee7a3078b95c9cd88",
      "source_hash": "2ca99eee300a491438741eafb9391e9281f21c53201261921088f66e291b22ac",
      "txt_hash": "86a14c569d982761979421289dd2928a7588aca644bc04eaf90eb7db0667106e"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.WebData",
    "category": "Network and Network-Related Devices and Systems",
    "is_collaborative": false,
    "maintenances": [],
    "name": "PP-Module for VPN Client Version 2.1",
    "not_valid_after": null,
    "not_valid_before": "2017-10-05",
    "pp_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/mod_vpn_cli_v2.1.pdf",
    "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/mod_vpn_cli_v2.1-vr.pdf",
    "scheme": "US",
    "security_level": {
      "_type": "Set",
      "elements": [
        "EAL1"
      ]
    },
    "status": "active",
    "version": "2.1"
  }
}